Managing your clients
In the 360dialog Hub
Please note that all information here will be available both in the 360dialog Partner Hub and 360dialog Client Hub.
See clients
As soon as you enter the 360dialog Partner Hub, under the WABA tab, you will see one card for each channel/phone number submitted.

A short summary of the account statuses and information are available in this card, as well as immediate actions required from the client. For more details, you can click the Show details button.
After clicking in Show details, you also can see other account management features in the tabs such as the Template Message Manager and the Insights and Billing options.
Notifications
You will be notified of any changes in your client's accounts statuses in the Hub notifications.
Export client data
The 360dialog Partner Hub allows you to download a CSV file with data pertaining to all accounts connected to you. In the CSV you will find the following information on your clients:
Company legal name
WhatsApp number
Contact email
Account activation statuses:
Message on behalf
Meta business verification
Number registration
You will find the download button on the top right corner of the WhatsApp Accounts Page:

Check if number is registered in On-premise or Cloud API
In the 360dialog Partner Hub > Details page for any number, there is a property "Hosting Platform Type"

Request cancelation of a Client's account
As per Meta security guidelines, only the client (WABA account owner) can request account cancellation. Partners can assist clients through this process but should never go through it for them.
Refund unused funds in case of cancellation
If a number is canceled and there is pre-payment balance left, there are two ways to request refunds in the 360dialog Hub:
In the Main Page: The
Refundbutton is available under "Billing Information" when the balance amount is above0and the number is enabled for pre-payment. If the balance is less than0, you will see theAdd fundsbutton.

In the Insights&Billing page: You can refund a number's funds via the
Manage fundsbutton, choosing the phone number, and selecting the action "Refund account funds":

Important Considerations for Refunds:
Double-check before initiating a refund: Before processing a refund, make sure to select the correct account and confirm that it is indeed the proper client to be refunded. Once a refund is processed, it cannot be reversed.
Refunds are created per the most current payment: meaning the refund will have the most recent payments transaction (fully or partially) depending on the current channel's balance amount and the latest billable conversation.
Example: If the client requests a refund and has not had any billable conversations since the last payment was made, they will be refunded the balance amount, including the payment processing fee. However, if the client has had a billable conversation after the latest payment, they will only be refunded the positive balance amount, excluding the payment processing fee. A credit note will be created for the corresponding last paid invoice.
Refunds are limited to individual numbers: It is not possible to issue bulk refunds to multiple clients or numbers at once. Each refund must be processed on a per-number basis and on a number-level.
Refunding is not immediate, it might take up to 48 - 72 hours for refunds to be completed. We kindly request your patience during this period. If the refund takes longer than expected, please feel free to get in touch with our Support Team for assistance.
Refund Examples
Example 1: If the client paid 55€ and had no conversations after the payment, the refund would be the full payment amount of 55€.
Example 2: If the client paid 55€ (e.g. 50€ + 5€) and had conversations costing 5€ after the payment, the refund would be 45€, which is the remaining balance.
Example 3: If the client made multiple payments (e.g. 10€, 20€, and 30€) and the current balance is 25€, the refund would be the latest payment of 10€, and a partial refund of 15€ for the 20€ payment. Refunds are always processed from the most recent payment and onwards, if needed.
Add team members as users to your 360dialog Partner Hub
Your 360dialog Partner Hub has a Users tab. To add more team members as users, click on the Add user button.

In the 360dialog Partner API
Get list of clients
To see the 360dialog Client Hub accounts associated to your Partner Hub, you should use the Get partner's clients endpoint.
Get list of clients associated to your Partner Hub
GET https://hub.360dialog.io/api/v2/partners/{partner_id}/clients
Request example
curl --request GET
--url https://hub.360dialog.io/api/v2/partners/partner_id/clients
--header 'Authorization: '
--header 'Content-Type: application/json'
Path Parameters
partner_id*
string
Your Partner Hub ID
Query Parameters
filters
string
A JSON object of params and their expected values
limit
string
Objects limit to return in the response
offset
string
Show the results starting from an offset
sort
string
Use minus - symbol for descending sorting
Get client's balance
The WhatsApp Conversations usage is always related to the 360dialog Client Hub, regardless of the number of channels.
This endpoint will only retrieve information for clients registered with direct payment.
Get balance of Client Hub for clients with direct payment
GET https://hub.360dialog.io/api/v2 /partners/{partner_id}/clients/{client_id}
The balance field is only relevant for clients who are registered with direct payment. For all other clients this field will stay at the value 0 and can be ignored.
In order to keep track of costs we recommend to check the usage object for the current month, where total_price describes the costs caused by conversations.
Rate limit is 1 request per 10s.
Request example
curl --request GET
--url https://hub.360dialog.io/api/v2/partners/partner_id/clients/client_id/info/balance
--header 'Authorization: '
--header 'Content-Type: application/json'
Path Parameters
client_id*
string
ID of the client
partner_id*
string
ID of the partner
Query Parameters
from_month
number
Show usage starting from specified month. Example: >=1 <=12
from_year
number
Show usage starting from specified year. Example: 2020
Change number of channels allowed by client
The maximum number of channels allowed per 360dialog Client Hub is 10. You can increase or decrease this number with the Update Client endpoint.
Update client maximum number of channels
PATCH https://hub.360dialog.io/api/v2/partners/{partner_id}/clients/{client_id}
Request example
curl --request PATCH
--url https://hub.360dialog.io/api/v2/partners/partner_id/clients/client_id
--header 'Authorization: '
--header 'Content-Type: application/json'
--data '{ "partner_payload": "", "max_channels": 42 }'
Path Parameters
client_id*
string
Client's Hub ID
partner_id*
string
Your Partner Hub ID
Request Body
partner_payload*
string
Can be requested with the Get list of clients associated to your Partner Hub endpoint
max_channels
integer
How many channels do you want this Client Hub to be able to create
Get list of channels
You can retrieve detailed accounts statuses through the 360dialog Partner API. This can happen with the get partner's channels endpoint.
Get channels available in your Partner Hub
GET https://hub.360dialog.io/api/v2/partners/{partner_id}/channels
Request example
curl --request GET
--url https://hub.360dialog.io/api/v2/partners/partner_id/channels
--header 'Authorization: '
--header 'Content-Type: application/json'
You can get a channel's Hosting platform type from this request.
Path Parameters
partner_id*
string
Your Partner Hub ID
Query Parameters
filters
string
A JSON object of params and their expected values
limit
string
Objects limit to return in the response
offset
string
Show the results starting from an offset
sort
string
Use minus - symbol for descending sorting
Use filters to get information about specific channels
If you need to get the phone number or other information based on the Channel ID (which you get from the permission callback), you can add filters to the request:
/partners/{partnerID}/channels?filters={"id": "{channelID}"}
How to understand the status of a channel
hub_status indicates the current status of the account. The options are:
livesandboxpending_deletiondraftunregistereddone(Classic Signup accounts only)pending(Classic Signup accounts only)
Other detailed pieces of information are:
if
account_mode=livethe account is live and ready to useif
app_idexists = channel was not terminatedif
terminated_atexists = channel is pending deletionif
app_idandterminated_atdo not exist = channel is in draft
Will be deprecated - only valid for partners that used Classic Signup
In order to check the status of a specific channel, two different methods are required depending on the channel version.
Version 1 = Submitted through Classic Signup (which is deprecated, so it's only valid for old accounts)
The overall status of the channel can be found via the status field for each individual channel within the partner_channel array. A channel is live and running if the status is ready.
Here, the options are:
created: the account was created but the number wasn't registered (see number registration)unverified: the account was not approved in the Commerce Policy reviewverified: the account was approved in the Commerce Policy reviewcertificate_declined: display name was rejectednew_name_requested: display name was changed and is waiting for approvalready: the number was registered and the API key can be generatederror: any other errors
Version 2 = Submitted through Embedded Signup
The decisive field for the channel status is the account_mode field. A channel is live and running if the account mode is live. Statuses from the channel.status field can be ignored.
Check if the WABA is connected
Make a GET call to this node to retrieve the status of a WhatsApp Business API client.
Healthcheck
GET https://waba.360dialog.io/v1/health
This endpoint returns the status of your WhatsApp Business API client.
Headers
D360-API-KEY
string
your API KEY
Please do not call this endpoint more than once every 5 minutes, as the health status is cached and refreshed only every 5 minutes. If your phone number is disconnected | uninitialized or unregistered - create a ticket with our Support Team and we will assist you to get the number reconnected.
Check the number that is associated with a specific API Key
Make a GET call to this endpoint to verify the number that is associated with an API Key.
Check Phone Number
GET https://waba.360dialog.io/v1/configs/phone_number
This endpoint returns the registered phone number for a given D360-API-KEY.
Headers
D360-API-KEY
string
Your API KEY
Webhook events for notifications
You can see how to start receiving webhook events to notify your internal team and your clients in this specific document.
Last updated
Was this helpful?